=== debian/changelog ===
pcp (6.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing replaces on pcp (<< 5.3.0):
    + pcp-export-pcp2elasticsearch Closes: #1034998
    + pcp-export-pcp2json Closes: #1034983
    + pcp-export-pcp2spark Closes: #1034932
    + pcp-export-pcp2xml Closes: #1034922
    + pcp-export-pcp2zabbix Closes: #1034973
    + pcp-doc Closes: #1034966
    + pcp-zeroconf Closes: #1034895
    + pcp-export-pcp2xlsx (unfiled)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 May 2023 11:36:37 +0200

pcp (6.0.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix installation on systems without systemd (closes: #1031295)

 -- Nathan Scott <nathans@debian.org>  Thu, 23 Feb 2023 10:52:31 +1100

pcp (6.0.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Sun, 12 Feb 2023 07:53:22 +1100

pcp (6.0.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Oct 2022 10:33:30 +1100

pcp (6.0.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Aug 2022 11:14:41 +1000

pcp (5.3.7-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updates for reproducible-builds (closes: #1006860, #1006861, #1006864)

 -- Nathan Scott <nathans@debian.org>  Tue, 05 Apr 2022 09:12:16 +1000
