## pcp 6.2.0

=== debian/changelog ===
pcp (6.2.0-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:38 +1100

pcp (6.2.0-1.1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:20:59 +0000

pcp (6.2.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:34:52 +0000

pcp (6.2.0-1.1build1) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:37:47 +0100

pcp (6.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064284

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:04:59 +0000

pcp (6.2.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Do not ship empty directory /usr/lib/pkgconfig (closes: #1041754)

 -- Nathan Scott <nathans@debian.org>  Mon, 12 Feb 2024 09:18:37 +1100

pcp (6.1.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 17 Nov 2023 12:08:42 +1100

pcp (6.1.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix several makefile clean targets (closes: #1045430)

 -- Nathan Scott <nathans@debian.org>  Tue, 05 Sep 2023 11:13:24 +1000

pcp (6.0.5-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Jun 2023 09:37:34 +1000
