=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: extra
 Homepage: https://pcp.io
-Maintainer: PCP Development Team <pcp@groups.io>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PCP Development Team <pcp@groups.io>
 Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
+Build-Depends: dpkg-dev (>= 1.22.5), bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
 Standards-Version: 3.9.3
 X-Python3-Version: >= 3.3
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3t64 (= ${binary:Version}), libpcp-mmv1t64 (= ${binary:Version}), libpcp-web1t64 (= ${binary:Version}), libpcp-archive1t64 (= ${binary:Version}), libpcp3t64 (= ${binary:Version})
 Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
 Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
@@ -28,7 +29,7 @@
 
 Package: pcp-conf
 Depends: ${misc:Depends}
-Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
+Breaks: libpcp3t64 (<< 3.9.0), pcp (<< 4.0.1)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot runtime configuration
@@ -43,7 +44,7 @@
 
 Package: libpcp3-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
+Depends: ${misc:Depends}, libpcp3t64 (= ${binary:Version}), libc6-dev | libc-dev
 Breaks: pcp (<< 4.3.4), libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
 Replaces: libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
 Architecture: any
@@ -57,10 +58,12 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp3
+Package: libpcp3t64
+Provides: ${t64:Provides}
+Replaces: libpcp3
 Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
 Conflicts: pgpool2
-Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
+Breaks: libpcp3 (<< ${source:Version}), pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
@@ -74,7 +77,7 @@
 
 Package: libpcp-gui2-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-gui2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${misc:Depends}, libpcp-gui2t64 (= ${binary:Version}), libpcp3t64 (= ${binary:Version})
 Conflicts: libpcp-gui1-dev
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library and headers
@@ -87,7 +90,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-gui2
+Package: libpcp-gui2t64
+Provides: ${t64:Provides}
+Replaces: libpcp-gui2
+Breaks: libpcp-gui2 (<< ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Architecture: any
@@ -102,7 +108,7 @@
 
 Package: libpcp-mmv1-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-mmv1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${misc:Depends}, libpcp-mmv1t64 (= ${binary:Version}), libpcp3t64 (= ${binary:Version})
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value library and headers
  The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
@@ -114,7 +120,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-mmv1
+Package: libpcp-mmv1t64
+Provides: ${t64:Provides}
+Replaces: libpcp-mmv1
+Breaks: libpcp-mmv1 (<< ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Architecture: any
@@ -130,7 +139,7 @@
 
 Package: libpcp-pmda3-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${misc:Depends}, libpcp-pmda3t64 (= ${binary:Version}), libpcp3t64 (= ${binary:Version})
 Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 3.11.10~)
 Replaces: libpcp3-dev (<< 3.11.10~)
 Architecture: any
@@ -146,7 +155,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-pmda3
+Package: libpcp-pmda3t64
+Provides: ${t64:Provides}
+Replaces: libpcp-pmda3
+Breaks: libpcp-pmda3 (<< ${source:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
@@ -158,7 +170,7 @@
 
 Package: libpcp-trace2-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-trace2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${misc:Depends}, libpcp-trace2t64 (= ${binary:Version}), libpcp3t64 (= ${binary:Version})
 Breaks: pcp (<< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
@@ -172,7 +184,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-trace2
+Package: libpcp-trace2t64
+Provides: ${t64:Provides}
+Replaces: libpcp-trace2
+Breaks: libpcp-trace2 (<< ${source:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
@@ -188,7 +203,7 @@
 
 Package: libpcp-import1-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-import1 (= ${binary:Version}), libpcp3-dev
+Depends: ${misc:Depends}, libpcp-import1t64 (= ${binary:Version}), libpcp3-dev
 Architecture: any
 Description: Performance Co-Pilot data import library and headers
  The libpcp-import-dev package contains the library and header files
@@ -201,7 +216,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-import1
+Package: libpcp-import1t64
+Provides: ${t64:Provides}
+Replaces: libpcp-import1
+Breaks: libpcp-import1 (<< ${source:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
@@ -218,7 +236,7 @@
  
 Package: libpcp-web1-dev
 Section: libdevel
-Depends: ${misc:Depends}, libpcp-web1 (= ${binary:Version}), libpcp3-dev
+Depends: ${misc:Depends}, libpcp-web1t64 (= ${binary:Version}), libpcp3-dev
 Architecture: any
 Description: Performance Co-Pilot web tooling
  The libpcp-web-dev package contains the library and header files
@@ -230,7 +248,10 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-web1
+Package: libpcp-web1t64
+Provides: ${t64:Provides}
+Replaces: libpcp-web1
+Breaks: libpcp-web1 (<< ${source:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
@@ -243,23 +264,3 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-archive1-dev
-Section: libdevel
-Depends: ${misc:Depends}, libpcp-archive1 (= ${binary:Version}), libpcp3-dev
-Architecture: any
-Description: Performance Co-Pilot archive writing library and headers
- The libpcp-archive-dev package contains the library and header files
- needed to build an application that creates a Performance Co-Pilot
- (PCP) archive suitable for use with the PCP tools.
- .
- The Performance Co-Pilot provides a unifying abstraction for
- all of the interesting performance data in a system, and allows
- client applications to easily retrieve and process any subset of
- that data.
-
-Package: libpcp-archive1
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Section: libs
-Breaks: pcp (<< 6.0.1)
-Architecture: any
-Description: Performance Co-Pilot archive writing library
