=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,23 @@
 
 pcp = pcp
 pcpcfg = pcp-conf
-libpcp = libpcp3
+libpcp = libpcp3t64
 libpcpdev = libpcp3-dev
-libpcp_pmda = libpcp-pmda3
+libpcp_pmda = libpcp-pmda3t64
 libpcp_pmdadev = libpcp-pmda3-dev
 libpcp_pmda_perl = libpcp-pmda-perl
 libpcp_import_perl = libpcp-import-perl
 pcp_logsummary_perl = libpcp-logsummary-perl
-libpcp_gui = libpcp-gui2
+libpcp_gui = libpcp-gui2t64
 libpcp_guidev = libpcp-gui2-dev
-libpcp_mmv = libpcp-mmv1
+libpcp_mmv = libpcp-mmv1t64
 libpcp_mmvdev = libpcp-mmv1-dev
 libpcp_mmv_perl = libpcp-mmv-perl
-libpcp_trace = libpcp-trace2
+libpcp_trace = libpcp-trace2t64
 libpcp_tracedev = libpcp-trace2-dev
-libpcp_import = libpcp-import1
+libpcp_import = libpcp-import1t64
 libpcp_importdev = libpcp-import1-dev
-libpcp_web = libpcp-web1
+libpcp_web = libpcp-web1t64
 libpcp_webdev = libpcp-web1-dev
 pcp_import_sar = pcp-import-sar2pcp
 pcp_import_ganglia = pcp-import-ganglia2pcp
@@ -30,6 +30,7 @@
 pcp_export_graphite = pcp-export-pcp2graphite
 pcp_export_influxdb = pcp-export-pcp2influxdb
 pcp_export_json = pcp-export-pcp2json
+pcp_export_arrow = pcp-export-pcp2arrow
 pcp_export_spark = pcp-export-pcp2spark
 pcp_export_xlsx = pcp-export-pcp2xlsx
 pcp_export_xml = pcp-export-pcp2xml
@@ -72,6 +73,7 @@
 dirpcp_export_graphite = debian/$(pcp_export_graphite)
 dirpcp_export_influxdb = debian/$(pcp_export_influxdb)
 dirpcp_export_json = debian/$(pcp_export_json)
+dirpcp_export_arrow = debian/$(pcp_export_arrow)
 dirpcp_export_spark = debian/$(pcp_export_spark)
 dirpcp_export_xlsx = debian/$(pcp_export_xlsx)
 dirpcp_export_xml = debian/$(pcp_export_xml)
@@ -125,6 +127,7 @@
 pkgpcp_export_graphite = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_graphite);
 pkgpcp_export_influxdb = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_influxdb);
 pkgpcp_export_json = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_json);
+pkgpcp_export_arrow = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_arrow);
 pkgpcp_export_spark = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_spark);
 pkgpcp_export_xlsx = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_xlsx);
 pkgpcp_export_xml = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_xml);
@@ -148,8 +151,9 @@
 uninstallpy = cat python*-pcp.list | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
 uninstallpydir = ls -d $(dirpcp)/usr/lib*/python* | xargs rm -fr
 uninstalltest = cat $(dirpcp_testsuite).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
-uninstalldirs = rmdir $(dirpcp)/usr/include/pcp $(dirpcp)/usr/include $(dirpcp)/usr/share/man/man3
+uninstalldirs = rmdir $(dirpcp)/usr/include/pcp $(dirpcp)/usr/include $(dirpcp)/usr/share/man/man3 $(dirpcp)/usr/lib/pkgconfig
 uninstallib = cat $(dirpcp_pmda_infiniband).dirs | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
+uninstallarrow = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_arrow)/," | xargs rm -fr
 uninstallspark = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_spark)/," | xargs rm -fr
 uninstallgui = cat $(dirgui).dirs | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
 unrpathperl = find $(allperldir) -name \*.so | xargs chrpath -d
@@ -158,16 +162,3 @@
 include /usr/share/dpkg/buildflags.mk
 
 build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp: config
-	@echo "== dpkg-buildpackage: build" 1>&2
-	$(MAKE) default
-	touch build-stamp
-
-config: .census
-.census:
-	@echo "== dpkg-buildpackage: configure" 1>&2
-	$(checkdir)
-	autoconf
-	if `which dh_update_autotools_config` >/dev/null; \
